Package twisted :: Package lore :: Module lint |
[show private | hide private]
[frames | no frames]

## Module twisted.lore.lint

Classes
`DefaultTagChecker` |
`TagChecker` |

Function Summary
| `doFile(file, checker)`
| `getDefaultChecker()`
| `list2dict(l)`

Variable Summary
`dict` | `a`
`dict` | `allowed`
`dict` | `classes`
`dict` | `div`
`tuple` | `parserErrors`
`dict` | `pre`
`dict` | `span`
`dict` | `tags`

Variable Details

    ### a Type: `dict` Value:
        {'html-listing': None, 'py-listing': None, 'absolute': None}

    ### allowed Type: `dict` Value:
        {'a': <built-in method has_key of dict object at 0x8688184>,
         'code': <built-in method has_key of dict object at 0x86f6544>,
         'div': <built-in method has_key of dict object at 0x8393134>,
         'li': <function <lambda> at 0x87143ec>,
         'ol': <function <lambda> at 0x8684aec>,
         'pre': <built-in method has_key of dict object at 0x82e5cfc>,
         'span': <built-in method has_key of dict object at 0x85d3c8c>,
         'ul': <function <lambda> at 0x82e5d8c>}

    ### classes Type: `dict` Value:
        {'API': None,
         'py-filename': None,
         'py-prototype': None,
         'py-signature': None,
         'py-src-identifier': None,
         'py-src-keyword': None,
         'py-src-parameter': None,
         'py-src-string': None,
        ...

    ### div Type: `dict` Value:
        {'note': None, 'doit': None, 'boxed': None}

    ### parserErrors Type: `tuple` Value:
        (<class exceptions.SyntaxError at 0x8104a04>,
         <class parser.ParserError at 0x86fd20c>)

    ### pre Type: `dict` Value:
        {'python': None, 'shell': None, 'elisp': None, 'python-interpreter': N\
        one}

    ### span Type: `dict` Value:
        {'footnote': None, 'manhole-output': None}

    ### tags Type: `dict` Value:
        {'a': None,
         'blockquote': None,
         'body': None,
         'cite': None,
         'code': None,
         'dd': None,
         'div': None,
         'dl': None,
        ...

Generated by Epydoc 1.1 on Thu May 8 13:16:30 2003 | http://epydoc.sf.net